summaryrefslogtreecommitdiffstats
path: root/usr.sbin
diff options
context:
space:
mode:
authorRenato Botelho <renato@netgate.com>2016-01-27 16:18:41 -0200
committerRenato Botelho <renato@netgate.com>2016-01-27 16:18:41 -0200
commit6d77218901c68616c2f97486c813b9a78c48046a (patch)
treef6974ba3b91df6ca8da937254277c65eb3c9cae2 /usr.sbin
parenteb84e0723f3b4bc5e40024f66fe21c14b09e9ec4 (diff)
parentfbe44d1207452eedc6fc9c1f386a335c5bda0e20 (diff)
downloadFreeBSD-src-6d77218901c68616c2f97486c813b9a78c48046a.zip
FreeBSD-src-6d77218901c68616c2f97486c813b9a78c48046a.tar.gz
Merge remote-tracking branch 'origin/stable/10' into devel
Diffstat (limited to 'usr.sbin')
-rw-r--r--usr.sbin/Makefile1
-rw-r--r--usr.sbin/bhyvectl/Makefile2
-rw-r--r--usr.sbin/bhyvectl/bhyvectl.897
-rw-r--r--usr.sbin/bsdconfig/share/dialog.subr1
-rw-r--r--usr.sbin/bsdconfig/share/strings.subr2
-rw-r--r--usr.sbin/vigr/Makefile6
-rw-r--r--usr.sbin/vigr/vigr.871
-rw-r--r--usr.sbin/vigr/vigr.sh95
8 files changed, 272 insertions, 3 deletions
diff --git a/usr.sbin/Makefile b/usr.sbin/Makefile
index fccef4a..7d58988 100644
--- a/usr.sbin/Makefile
+++ b/usr.sbin/Makefile
@@ -90,6 +90,7 @@ SUBDIR= adduser \
tzsetup \
uefisign \
ugidfw \
+ vigr \
vipw \
wake \
watch \
diff --git a/usr.sbin/bhyvectl/Makefile b/usr.sbin/bhyvectl/Makefile
index 5f879fe..48477ff 100644
--- a/usr.sbin/bhyvectl/Makefile
+++ b/usr.sbin/bhyvectl/Makefile
@@ -5,7 +5,7 @@
PROG= bhyvectl
SRCS= bhyvectl.c
-MAN=
+MAN= bhyvectl.8
DPADD= ${LIBVMMAPI} ${LIBUTIL}
LDADD= -lvmmapi -lutil
diff --git a/usr.sbin/bhyvectl/bhyvectl.8 b/usr.sbin/bhyvectl/bhyvectl.8
new file mode 100644
index 0000000..d72a795
--- /dev/null
+++ b/usr.sbin/bhyvectl/bhyvectl.8
@@ -0,0 +1,97 @@
+.\" Copyright (c) 2015 Christian Brueffer
+.\" All rights reserved.
+.\"
+.\" Redistribution and use in source and binary forms, with or without
+.\" modification, are permitted provided that the following conditions
+.\" are met:
+.\" 1. Redistributions of source code must retain the above copyright
+.\" notice, this list of conditions and the following disclaimer.
+.\" 2. Redistributions in binary form must reproduce the above copyright
+.\" notice, this list of conditions and the following disclaimer in the
+.\" documentation and/or other materials provided with the distribution.
+.\"
+.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+.\" ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+.\" SUCH DAMAGE.
+.\"
+.\" $FreeBSD$
+.\"
+.Dd January 12, 2016
+.Dt BHYVECTL 8
+.Os
+.Sh NAME
+.Nm bhyvectl
+.Nd "control utility for bhyve instances"
+.Sh SYNOPSIS
+.Nm
+.Fl -vm= Ns Ar <vmname>
+.Op Fl -create
+.Op Fl -destroy
+.Op Fl -get-stats
+.Op Fl -inject-nmi
+.Op Fl -force-reset
+.Op Fl -force-poweroff
+.Sh DESCRIPTION
+The
+.Nm
+command is a control utility for active
+.Xr bhyve 8
+virtual machine instances.
+.Pp
+.Em Note :
+Most
+.Nm
+flags are intended for querying and setting the state of an active instance.
+These commands are intended for development purposes, and are not documented here.
+A complete list can be obtained by executing
+.Nm
+without any arguments.
+.Pp
+The user-facing options are as follows:
+.Bl -tag -width ".Fl d Ar argument"
+.It Fl -vm= Ns Ar <vmname>
+Operate on the virtual machine
+.Ar <vmname> .
+.It Fl -create
+Create the specified VM.
+.It Fl -destroy
+Destroy the specified VM.
+.It Fl -get-state
+Retrieve statistics for the specified VM.
+.It Fl -inject-nmi
+Inject a non-maskable interrupt (NMI) into the VM.
+.It Fl -force-reset
+Force the VM to reset.
+.It Fl -force-poweroff
+Force the VM to power off.
+.El
+.Sh EXIT STATUS
+.Ex -std
+.Sh EXAMPLES
+Destroy the VM called fbsd10:
+.Pp
+.Dl "bhyvectl --vm=fbsd10 --destroy"
+.Sh SEE ALSO
+.Xr bhyve 8 ,
+.Xr bhyveload 8
+.Sh HISTORY
+The
+.Nm
+command first appeared in
+.Fx 10.1 .
+.Sh AUTHORS
+.An -nosplit
+The
+.Nm
+utility was written by
+.An Peter Grehan
+and
+.An Neel Natu .
diff --git a/usr.sbin/bsdconfig/share/dialog.subr b/usr.sbin/bsdconfig/share/dialog.subr
index d7c2d2c..1e63aec 100644
--- a/usr.sbin/bsdconfig/share/dialog.subr
+++ b/usr.sbin/bsdconfig/share/dialog.subr
@@ -1605,7 +1605,6 @@ f_dialog_pause()
$height $width
else
[ $duration -gt 0 ] && duration=$(( $duration - 1 ))
- [ $duration -gt 1 ] && duration=$(( $duration - 1 ))
height=$(( $height + 3 )) # Add height for progress bar
$DIALOG \
--title "$DIALOG_TITLE" \
diff --git a/usr.sbin/bsdconfig/share/strings.subr b/usr.sbin/bsdconfig/share/strings.subr
index 487e061..e624fb5 100644
--- a/usr.sbin/bsdconfig/share/strings.subr
+++ b/usr.sbin/bsdconfig/share/strings.subr
@@ -110,7 +110,7 @@ f_sprintf()
# Example 2:
#
# limit=12 format="%s %s"
-# format_args=" 'doghouse' 'foxhound' "
+# format_args=" 'doghouse' 'fox' "
# # even more spaces added to illustrate escape-method
# f_vsnprintf foo $limit "$format" "$format_args" # foo=[doghouse fox]
#
diff --git a/usr.sbin/vigr/Makefile b/usr.sbin/vigr/Makefile
new file mode 100644
index 0000000..d71998b
--- /dev/null
+++ b/usr.sbin/vigr/Makefile
@@ -0,0 +1,6 @@
+# $FreeBSD$
+
+SCRIPTS= vigr
+MAN= vigr.8
+
+.include <bsd.prog.mk>
diff --git a/usr.sbin/vigr/vigr.8 b/usr.sbin/vigr/vigr.8
new file mode 100644
index 0000000..3fd582b
--- /dev/null
+++ b/usr.sbin/vigr/vigr.8
@@ -0,0 +1,71 @@
+.\"-
+.\" Copyright (c) 2014 Dag-Erling Smørgrav
+.\" All rights reserved.
+.\"
+.\" Redistribution and use in source and binary forms, with or without
+.\" modification, are permitted provided that the following conditions
+.\" are met:
+.\" 1. Redistributions of source code must retain the above copyright
+.\" notice, this list of conditions and the following disclaimer.
+.\" 2. Redistributions in binary form must reproduce the above copyright
+.\" notice, this list of conditions and the following disclaimer in the
+.\" documentation and/or other materials provided with the distribution.
+.\"
+.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+.\" ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+.\" SUCH DAMAGE.
+.\"
+.\" $FreeBSD$
+.\"
+.Dd December 14, 2014
+.Dt VIGR 8
+.Os
+.Sh NAME
+.Nm vigr
+.Nd edit the group file
+.Sh SYNOPSIS
+.Nm
+.Op Fl d Ar directory
+.Sh DESCRIPTION
+The
+.Nm
+utility makes a temporary copy of the group file, allows the user to
+edit it, then verifies that the edited file is valid before installing
+it.
+.Pp
+The following options are available:
+.Bl -tag -width Fl
+.It Fl d Ar directory
+Edit the group file in the specified directory instead of the default
+.Pa /etc/group .
+.El
+.Sh ENVIRONMENT
+.Bl -tag -width EDITOR
+.It Ev EDITOR
+The editor to use instead of
+.Xr vi 1 .
+.It Ev TMPDIR
+The directory in which to store the temporary copy of the group file.
+.El
+.Sh SEE ALSO
+.Xr group 5 ,
+.Xr chkgrp 8 ,
+.Xr vipw 8
+.Sh HISTORY
+The
+.Nm
+utility appeared in
+.Fx 11.0 .
+.Sh AUTHORS
+The
+.Nm
+utility and this manual page were written by
+.An Dag-Erling Sm\(/orgrav Aq Mt des@FreeBSD.org .
diff --git a/usr.sbin/vigr/vigr.sh b/usr.sbin/vigr/vigr.sh
new file mode 100644
index 0000000..c5dc65d
--- /dev/null
+++ b/usr.sbin/vigr/vigr.sh
@@ -0,0 +1,95 @@
+#!/bin/sh
+#-
+# Copyright (c) 2014 Dag-Erling Smørgrav
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+error() {
+ echo "$@" >&2
+ exit 1
+}
+
+usage() {
+ error "usage: vigr [-d dir]"
+}
+
+# Check arguments
+while getopts d: opt ; do
+ case $opt in
+ d)
+ etcdir="${OPTARG}"
+ ;;
+ *)
+ usage
+ ;;
+ esac
+done
+
+# Look for the current group file
+grpfile="${etcdir:-/etc}/group"
+if [ ! -f "${grpfile}" ] ; then
+ error "Missing group file"
+fi
+
+# Create a secure temporary working directory
+tmpdir=$(mktemp -d -t vigr)
+if [ -z "${tmpdir}" -o ! -d "${tmpdir}" ] ; then
+ error "Unable to create the temporary directory"
+fi
+tmpfile="${tmpdir}/group"
+
+# Clean up on exit
+trap "exit 1" INT
+trap "rm -rf '${tmpdir}'" EXIT
+set -e
+
+# Make a copy of the group file for the user to edit
+cp "${grpfile}" "${tmpfile}"
+
+while :; do
+ # Let the user edit the file
+ ${EDITOR:-/usr/bin/vi} "${tmpfile}"
+
+ # If the result is valid, install it and exit
+ if chkgrp -q "${tmpfile}" ; then
+ install -b -m 0644 -C -S "${tmpfile}" "${grpfile}"
+ exit 0
+ fi
+
+ # If it is not, offer to re-edit
+ while :; do
+ echo -n "Re-edit the group file? "
+ read ans
+ case $ans in
+ [Yy]|[Yy][Ee][Ss])
+ break
+ ;;
+ [Nn]|[Nn][Oo])
+ exit 1
+ ;;
+ esac
+ done
+done
OpenPOWER on IntegriCloud